import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

data = pd.read_csv('auto-mpg.csv')

coefs = np.corrcoef(data['mpg'], data['weight'])
plt.scatter(data['mpg'], data['weight'])
plt.title('MPG and Weight Correlation: ' + str(coefs[0,1]))
plt.show()

coefs = np.corrcoef(data['mpg'], data['horsepower'])
plt.scatter(data['mpg'], data['horsepower'])
plt.title('MPG and Horsepower Correlation: ' + str(coefs[0,1]))
plt.show()

coefs = np.corrcoef(data['mpg'], data['acceleration'])
plt.scatter(data['mpg'], data['acceleration'])
plt.title('MPG and Acceleration Correlation: ' + str(coefs[0,1]))
plt.show()
